package com.emr.dao;

import com.emr.entity.Zd_Assort;
import com.emr.entity.recordType.Emr_Type;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Zd_AssortMapper {
    int insert(Zd_Assort record);

    void updateByPrimaryKeySelective(Zd_Assort record);
    /**
     * 全查
     * */
    List<Zd_Assort> selectAll(@Param("record")Zd_Assort record);


    List<Emr_Type>selectEmrType();
    /**
     * 验证名称是否重复
     * */
    Zd_Assort checkAssortName(String assortName);
    /**
     * 根据assortId查询assort对象
     * */
    Zd_Assort getAssortByAssortId(String assortId);
    /**
     * 根据assortId删除assort对象
     * */
    void deleteAssortByAssortId(String assortId);
    /**
     * 查询全部关联根据类别Id选中集合
     * */
    List<Zd_Assort> selectAllAndRelatedByTypeId(@Param("typeId") Integer typeId);
    /**
     * 查询全部根据角色id关联角色分配表
     * */
    List<Zd_Assort> selectAllAndRoleReaderByRoleId(@Param("roleId") Integer roleId);
    /**
     * 查询全部根据用户id关联角色分配表
     * */
    List<Zd_Assort> selectAllAndUserReaderByUserIdAndRoleId(@Param("userId") Integer userId,@Param("roleId") Integer roleId);
}